"use strict";

this.name    = "Alerting Crosshairs"; // "Wildeblood", 2013.
this.version = "1.0";

/* ====================================================================================
			AUTOMATIC HUD CHANGES
======================================================================================= */

this.alertConditionChanged = function(newState, oldState)
	{
	switch(newState)
		{
		case 1: // "Green Alert"
			{
			player.ship.crosshairs = "alerting-crosshairs-green.plist";
			break;
			}
		case 2: // "Yellow Alert"
			{
			player.ship.crosshairs = "alerting-crosshairs-yellow.plist";
			break;
			}
		case 3: // "Red Alert"
			{
			if (player.alertHostiles)
				{
				player.ship.crosshairs = "alerting-crosshairs-red.plist";
				}
			break;
			}
		}
	}

/* ====================================================================================
			USER-SELECTED HUD CHANGES
======================================================================================= */

this.compassTargetChanged = function(whom, mode)
	{
	if (mode === "COMPASS_MODE_TARGET")
		{
		player.ship.crosshairs = "alerting-crosshairs-red.plist";
		this.$override = true;
		}
	else if (this.$override && !player.alertHostiles)
		{
		this.alertConditionChanged(player.alertCondition, 3);
		this.$override = false;
		}
	}

/* ====================================================================================
			THE END
======================================================================================= */
